Api referenceFinancials
Get financial source HTML content
Download the original filing HTML for a financials order, in pages.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
orderId*string
Order ID.
buildId*string
ID of the filing document, from contentDocuments in the financials result.
Query Parameters
customerId?|
Optional customer ID for validation
offset?integer
Zero-based byte offset in compressed document artifact
Default
0Range
0 <= valuelimit?integer
Maximum compressed artifact bytes
Default
65536Range
1 <= value <= 65536Header Parameters
Kausate-Version?string
Default
"2026-08-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/companies/finance/string/content/string" \ -H "Kausate-Version: 2026-08-01"{
"buildId": "string",
"sourceSha256": "string",
"contentSha256": "string",
"artifactSha256": "string",
"format": "kausate.complete-html-document.v1+json+zstd",
"encoding": "base64",
"contentType": "string",
"totalBytes": 1,
"offset": 0,
"content": "string",
"nextOffset": 1
}{
"detail": "Invalid company ID format",
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "API key is required",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Company not found",
"code": "company.not_found",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"kausateId"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An unexpected error occurred. If this persists, please contact support@kausate.com",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Data source temporarily unavailable",
"code": "source.unavailable",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on